Qiita Teams that are logged in
You are not logged in to any team

Log in to Qiita Team
Community
OrganizationAdvent CalendarQiitadon (β)
Service
Qiita JobsQiita ZineQiita Blog
Help us understand the problem. What is going on with this article?

tryとexceptについて

More than 1 year has passed since last update.

tryとexceptについて

今回はHacker Rankを解いている中で出会ったtryとexceptについてご紹介します。

そもそもtryとexceptを何に使うかというとPython における例外処理の時に使用します
例えば以下のような使い方をします。

"S=""abc""
try: 
    print (int(S))
except ValueError: 
    print (""Bad String"")
#実行結果 Bad String

これは僕がHacker Rankを解いているときに出てきた問題の一部です。
このようにtryとexceptを使用することで例外が出たときの処理をすることが可能になります。
この場合だと「ValueError」というエラーが出たときの処理を指定している形になります。

try exceptの応用

ここからは初心者の僕にとっては応用編です。
以下のコードを見てください。

try:
    raise Exception("エラーが発生しました")
except Exception as e:
    print (e)
#実行結果 エラーが発生しました

新しくraiseができましたね。
これはraiseを使用することで例外を発生させています。
そしてエラーの内容をeに入れて最後にprintで出力しています。

参考文献

tryとexceptに関する記事
raiseに関する記事

tsu_0514
文系エンジニア目指してます。 のらりくらり勉強しています。 週一回ほどの頻度で更新します。
Why not register and get more from Qiita?
  1. We will deliver articles that match you
    By following users and tags, you can catch up information on technical fields that you are interested in as a whole
  2. you can read useful information later efficiently
    By "stocking" the articles you like, you can search right away